#!/bin/sh

# Build development links
ln -vfs ../../common/driver/binary_coded_decimal.c      ../linux/driver/binary_coded_decimal.c
ln -vfs ../../common/driver/tsync_comm_fifo.c           ../linux/driver/tsync_comm_fifo.c
ln -vfs ../../common/driver/tsync_comm_transaction.c    ../linux/driver/tsync_comm_transaction.c
ln -vfs ../../common/driver/tsync_comm_validation.c     ../linux/driver/tsync_comm_validation.c
ln -vfs ../../common/driver/tsync_gpio_stamp_queue.c    ../linux/driver/tsync_gpio_stamp_queue.c
ln -vfs ../../common/driver/tsync_hw_func.c             ../linux/driver/tsync_hw_func.c
ln -vfs ../../common/driver/tsync_hw_nonkts_func.c      ../linux/driver/tsync_hw_nonkts_func.c

ln -vfs ../../common/h/binary_coded_decimal.h           ../linux/driver/binary_coded_decimal.h
ln -vfs ../../common/h/tsync_comm_fifo.h                ../linux/driver/tsync_comm_fifo.h
ln -vfs ../../common/h/tsync_comm_transaction.h         ../linux/driver/tsync_comm_transaction.h
ln -vfs ../../common/h/tsync_comm_validation.h          ../linux/driver/tsync_comm_validation.h
ln -vfs ../../common/h/tsync_gpio_stamp_queue.h         ../linux/driver/tsync_gpio_stamp_queue.h
ln -vfs ../../common/h/tsync_gpio_stamp_queue_structs.h ../linux/driver/tsync_gpio_stamp_queue_structs.h
ln -vfs ../../common/h/tsync_hw_func.h                  ../linux/driver/tsync_hw_func.h
ln -vfs ../../common/h/tsync_hw_nonkts_func.h           ../linux/driver/tsync_hw_nonkts_func.h
ln -vfs ../../common/h/tsync_instance_fields.h          ../linux/driver/tsync_instance_fields.h
ln -vfs ../../common/h/tsync_types.h                    ../linux/driver/tsync_types.h

ln -vfs ../../common/tsync/h/ddtsync.h                  ../linux/driver/ddtsync.h
ln -vfs ../../common/tsync/h/tsync_lcd.h                ../linux/driver/tsync_lcd.h
ln -vfs ../../common/tsync/h/tsync_error_codes.h        ../linux/driver/tsync_error_codes.h
ln -vfs ../../common/tsync/h/tsync_hw.h                 ../linux/driver/tsync_hw.h
ln -vfs ../../common/tsync/h/tsync_nonkts_hw.h          ../linux/driver/tsync_nonkts_hw.h

ln -vfs ../../common/tsync/lib/tsync_error_codes.c      ../linux/driver/tsync_error_codes.c

# Set script permissions
cd ..
find . -name *.sh -exec chmod -v 755 {} \;
find . -name *.py -exec chmod -v 755 {} \;
find solaris/pkg -name post* -exec chmod -v 755 {} \;
cd buildUtils
